## libuv1-latest 1.24.1

=== debian/changelog ===
libuv1-latest (1.24.1-1~deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the ELTS team.
  * Backport version from Buster to Stretch to allow ClamAV 1.0.x builds.
    - Rename the package to libuv1-latest to avoid changing the default in
      Stretch.
    - Downgrade debhelper compat level to 10.
    - d/t/control: add needs-root restriction since there is one test trying
      to access passwd.

 -- Lucas Kanashiro <lucas@freexian.com>  Fri, 15 Nov 2024 14:38:11 -0300

libuv1 (1.24.1-1+deb10u1) buster-security; urgency=high

  * add patch for CVE-2021-22918 (Closes: #990561)
  * For buster, this patch also tweaks tests so they can be compiled.
    (because of a missing macro and "static" declaration)

 -- Dominique Dumont <dod@debian.org>  Sun, 04 Jul 2021 18:42:30 +0200

libuv1 (1.24.1-1) unstable; urgency=medium

  * new upstream version
  * update README.source instructions
  * refreshed copyright with cme
  * refreshed patches
  * update symbols file
  * add Build-Depends-Package in symbols file
  * update compat to 12
  * control: declare compliance with policy 4.3.0
  * control: remove build-dev on dh-autoreconf

 -- Dominique Dumont <dod@debian.org>  Mon, 21 Jan 2019 08:33:25 +0100

libuv1 (1.24.0-1) unstable; urgency=medium

  * new upstream version
  * fix git describe instruction in README.source
  * refreshed copyright (cme update dpkg)
  * removed configure.ac.diff, path_man and hurd-port patches
    (applied upstream)
  * refreshed path_max_zero_st_size patch
  * mark internal symbols (uv__*) as optional in symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 30 Nov 2018 15:58:40 +0100

libuv1 (1.23.2-2) unstable; urgency=medium

  * Fix path_max_zero_st_size to follow renaming of variable upstream.
    Thanks to Adam Conrad for the patch (Closes: #913779)

 -- Dominique Dumont <dod@debian.org>  Sun, 18 Nov 2018 17:32:35 +0100

libuv1 (1.23.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
    * d/changelog: Remove trailing whitespaces

  [ Dominique Dumont ]
  * new upstream version
  * copyright: rm one file (cme update dpkg)
  * README.source: fix version extraction from git
  * refreshed patches

 -- Dominique Dumont <dod@debian.org>  Tue, 23 Oct 2018 14:58:34 +0200

libuv1 (1.23.1-1) unstable; urgency=medium

  * new upstream release:
    The following symbols were removed: uv__epoll_create1
    uv__epoll_create uv__epoll_ctl uv__epoll_pwait uv__epoll_wait
    uv__utimesat.
    No breakage is expected as these symbols are internal.
  * update README.source
  * refreshed patch path_max_zero_st_size
  * removed patch mips-epoll_pwait
  * remove some internal symbols from libuv1.symbols

 -- Dominique Dumont <dod@debian.org>  Fri, 05 Oct 2018 12:32:24 +0200

libuv1 (1.23.0-2) unstable; urgency=medium

  * gbp.conf: set update-tag for all tools
  * add patch to fix zero buffer size of readlink()
    Thanks to Mauricio Faria de Oliveira <mfo@canonical.com> (LP: 1792647)
    (Closes: 909011)

 -- Dominique Dumont <dod@debian.org>  Tue, 18 Sep 2018 14:18:27 +0200

libuv1 (1.23.0-1) unstable; urgency=medium

  * new upstream version
  * control: declare compliance with policy 4.2.1
  * copyright: updated with cme
  * refreshed patch
  * updated symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 07 Sep 2018 10:47:22 +0200

libuv1 (1.22.0-3) unstable; urgency=medium

  * allow warning while compiing autopkg tests files
  * control: add BD on freebsd-glue for freebsd-any arch
    Thanks to Svante Signell for the patch (Closes: 904503)
  * fix hurd-port patch.
    Thanks to Svante Signell for the fix (Closes: 904476)

 -- Dominique Dumont <dod@debian.org>  Mon, 30 Jul 2018 12:23:23 +0200

libuv1 (1.22.0-2) unstable; urgency=medium

  * update hurd-port patch.
    Thanks to Svante Signell (Closes: #904476)
  * update symbols file for hurd.
  * patch configure.ac for kfreebsd.
    Thanks to Svante Signell (Closes: 904503)
  * update symbols file for kfreebsd.

 -- Dominique Dumont <dod@debian.org>  Wed, 25 Jul 2018 13:36:46 +0200

libuv1 (1.22.0-1) unstable; urgency=medium

  * new upstream version
    * contains upstream fix for #902941
  * tests/control: add dependency on g++
  * update copyright file with cme
  * refresh hurd-port patch
  * remove patch for #902941 (applied upstream)
  * control: Declare compliance with policy 4.1.5
  * update symbols file

 -- Dominique Dumont <dod@debian.org>  Fri, 20 Jul 2018 17:18:26 +0200

libuv1 (1.21.0-2) unstable; urgency=medium

  * tests/control: add dep on libc-dev
  * patch wrong enum order.
    Thanks to Felipe Sateler for the analysis (Closes: 902941)

 -- Dominique Dumont <dod@debian.org>  Fri, 06 Jul 2018 13:57:44 +0200

libuv1 (1.21.0-1) unstable; urgency=medium

  * new upstream version
  * refreshed © info with cme dpkg-copyright update
  * refreshed hurd-port.diff
  * refreshed symbols file
  * improve README.source

 -- Dominique Dumont <dod@debian.org>  Mon, 02 Jul 2018 14:11:47 +0200

libuv1 (1.20.3-2) unstable; urgency=medium

  * add patch to fix hurd packages.
    Thanks to Samuel Thibault <sthibault@debian.org> (Closes: #881882)
  * test/control: add gcc build-dep
  * control: Build-dep on netbase.
    Thanks to Adam Borowski <kilobyte@angband.pl> (Closes: 899078)

 -- Dominique Dumont <dod@debian.org>  Sat, 02 Jun 2018 10:58:29 +0200

libuv1 (1.20.3-1) unstable; urgency=medium

  * new upstream version
  * copyright: fix utf-8 entry with cme update
  * patch to fix PATH_MAX on hurd.
  * update symbols table for hurd.
    Thanks to Samuel Thibault for the patches (Closes: #897061)

 -- Dominique Dumont <dod@debian.org>  Sun, 27 May 2018 15:22:29 +0200

libuv1 (1.20.2-1) experimental; urgency=medium

  * new upstream version
  * control:
    * update Vcs-Browser and Vcs-Git
    * drop versioned dep on dh-exec
    * declare compliance with policy 4.1.4
    * set dod@debian.org as Maintainer
  * copyright:
    * use https URL for Format (cme)
    * add  debian/fill.copyright.blanks.yml

