=== debian/tests/control ===
Tests: run-tests
Restrictions: allow-stderr, needs-root
Depends: @, gyp, gcc, libc-dev, g++
